org.kie.api.runtime.manager

## Interface RuntimeEnvironment

-     public interface RuntimeEnvironment

  Definition of the runtime environment that will be used by instance of `RuntimeManager`. `RuntimeEnvironment` delivers all information to the runtime manager to be able to properly configure and bootstrap the manager and then runtime engine instances.
  It shall be considered as template of the configuration used by the manager that is read only and shall not be changed once `RuntimeManager` has been created.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the environment allowing to close all depending components such as ksession factories, etc
    `ClassLoader` | `getClassLoader()` Delivers custom class loader that shall be used by the process engine and task service instances
    `KieSessionConfiguration` | `getConfiguration()` KieSession configuration that shall be used to create instances of `KieSession`
    `Environment` | `getEnvironment()` KieSession environment that shall be used to create instances of `KieSession`
    `KieBase` | `getKieBase()` Returns `KieBase` that shall be used by the manager
    `RegisterableItemsFactory` | `getRegisterableItemsFactory()` Delivers concrete implementation of `RegisterableItemsFactory` to obtain handlers and listeners that shall be registered on instances of `KieSession`
    `UserGroupCallback` | `getUserGroupCallback()` Delivers concrete implementation of `UserGroupCallback` that shall be registered on instances of `TaskService` for managing users and groups.
    `boolean` | `usePersistence()` Indicates if persistence shall be used for the KieSession instances

- - ### Method Detail

    - #### getKieBase

          KieBase getKieBase()

      Returns `KieBase` that shall be used by the manager
      Returns:

    - #### getEnvironment

          Environment getEnvironment()

      KieSession environment that shall be used to create instances of `KieSession`
      Returns:

    - #### getConfiguration

          KieSessionConfiguration getConfiguration()

      KieSession configuration that shall be used to create instances of `KieSession`
      Returns:

    - #### usePersistence

          boolean usePersistence()

      Indicates if persistence shall be used for the KieSession instances
      Returns:

    - #### getRegisterableItemsFactory

          RegisterableItemsFactory getRegisterableItemsFactory()

      Delivers concrete implementation of `RegisterableItemsFactory` to obtain handlers and listeners that shall be registered on instances of `KieSession`
      Returns:

    - #### getUserGroupCallback

          UserGroupCallback getUserGroupCallback()

      Delivers concrete implementation of `UserGroupCallback` that shall be registered on instances of `TaskService` for managing users and groups.
      Returns:

    - #### getClassLoader

          ClassLoader getClassLoader()

      Delivers custom class loader that shall be used by the process engine and task service instances
      Returns:

    - #### close

          void close()

      Closes the environment allowing to close all depending components such as ksession factories, etc

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.